> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List transfers (received or sent)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/transfers
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/transfers:
    get:
      tags:
        - Transfers
      summary: List transfers (received or sent)
      operationId: getV1Transfers
      parameters:
        - in: query
          name: type
          required: false
          schema:
            type: string
            enum:
              - received
              - sent
          description: 'Filtrar por tipo (padrão: received)'
      responses:
        '200':
          description: List of transfers
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                    from_user_id:
                      type: string
                    to_email:
                      type: string
                    resource_type:
                      type: string
                    resource_id:
                      type: string
                    status:
                      type: string
                      enum:
                        - pending
                        - accepted
                        - rejected
                        - cancelled
                    metadata:
                      type: object
                      nullable: true
                    created_at:
                      type: string
                      format: date-time
              example:
                - id: 1
                  from_user_id: user_abc123
                  to_email: amigo@email.com
                  resource_type: config_entry
                  resource_id: '42'
                  status: pending
                  metadata: null
                  created_at: '2026-03-17T10:00:00Z'
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````